/*
InfCloud - the open source CalDAV/CardDAV Web Client
Copyright (C) 2011-2015
    Jan Mate <jan.mate@inf-it.com>
    Andrej Lezo <andrej.lezo@inf-it.com>
    Matej Mihalik <matej.mihalik@inf-it.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

// NOTE: console.log(...) messages are not translated
var localization = new Object();
localization['en_US']=	/* Jan Mate <jan.mate@inf-it.com> */
{
	txtResources: 'Resources',
	txtNote: 'Note',

	errUnableSync: 'Error: \'unable to sync resource\': try again later!',

	loadingResources: 'Loading resources (%act% of %total%) ...',
	loadingCollectionList: 'Loading resource list',

	txtCacheText: 'There is an update available on the server, please reload the page!',
	txtCacheButton: 'Reload'
};
localization['en_BS']= /* bgstack15@gmail.com */
{
	txtResources: 'Resources',
	txtNote: 'Note',

	errUnableSync: 'Error: \'unable to sync resource\': try again later!',

	loadingResources: 'Loading resources (%act% of %total%) ...',
	loadingCollectionList: 'Loading resource list',

	txtCacheText: 'There is an update available on the server, please reload the page!',
	txtCacheButton: 'Reload'
};

var localizationShared = new Object();
localizationShared['en_US']=	/* Jan Mate <jan.mate@inf-it.com> */
{
	_name_: 'English',
	_default_datepicker_format_: 'yy-mm-dd',
	_default_AMPM_format_: true,

	altLogo: 'Logo',
	altLogout: 'Logout',
	buttonLogin: 'Login',
	pholderUsername: 'Username',
	pholderPassword: 'Password',
	txtSearch: 'Search',
	txtError: 'Error',
	txtRefresh: 'Refresh',

	buttonEdit: 'Edit',
	buttonSave: 'Save',
	buttonReset: 'Revert',
	buttonCancel: 'Cancel',
	buttonDelete: 'Delete',

	errCollectionLoad: 'Error: \'unable to save settings\'!',
	errHttpCommon: 'error code %%',
	errHttp401: 'unauthorized',
	errHttp403: 'forbidden',
	errHttp405: 'method not allowed',
	errHttp408: 'request timeout',
	errHttp412: 'somebody else has already changed it on the server',
	errHttp500: 'internal server error',
	errHttp501: 'not implemented',

	unsupportedBrowser: 'Note: your browser is unsupported!',
	updateNotification: '%name% %new_ver% available (you have %curr_ver%) - %url%'
};

localizationShared['en_BS']=	/* bgstack15@gmail.com */
{
	_name_: 'English (24h)',
	_default_datepicker_format_: 'yy-mm-dd',
	_default_AMPM_format_: false,

	altLogo: 'Logo',
	altLogout: 'Logout',
	buttonLogin: 'Login',
	pholderUsername: 'Username',
	pholderPassword: 'Password',
	txtSearch: 'Search',
	txtError: 'Error',
	txtRefresh: 'Refresh',

	buttonEdit: 'Edit',
	buttonSave: 'Save',
	buttonReset: 'Revert',
	buttonCancel: 'Cancel',
	buttonDelete: 'Delete',

	errCollectionLoad: 'Error: \'unable to save settings\'!',
	errHttpCommon: 'error code %%',
	errHttp401: 'unauthorized',
	errHttp403: 'forbidden',
	errHttp405: 'method not allowed',
	errHttp408: 'request timeout',
	errHttp412: 'somebody else has already changed it on the server',
	errHttp500: 'internal server error',
	errHttp501: 'not implemented',

	unsupportedBrowser: 'Note: your browser is unsupported!',
	updateNotification: '%name% %new_ver% available (you have %curr_ver%) - %url%'
};

$.extend(true, localization, localizationShared);
var localizationSharedCalDAV = new Object();
localizationSharedCalDAV['en_US']=	/* Jan Mate <jan.mate@inf-it.com> */
{
	txtCalendars: 'Calendars',
	txtTodos: 'Todos',
	localTime: 'Local Time',
	fullCalendarMonth: 'month',
	fullCalendarMultiWeek: 'mweek',
	fullCalendarAgendaWeek: 'week',
	fullCalendarAgendaDay: 'day',

	monthNames: ['January','February','March','April','May','June',
	'July','August','September','October','November','December'],
	monthNamesShort: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
	'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
	dayNames: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
	dayNamesShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
	dayNamesMin: ['Su','Mo','Tu','We','Th','Fr','Sa']
};
localizationSharedCalDAV['en_BS']=localizationSharedCalDAV['en_US'];

$.extend(true, localization, localizationSharedCalDAV);
var localizationSharedCardDAV = new Object();
localizationSharedCardDAV['en_US']=	/* Jan Mate <jan.mate@inf-it.com> */
{
	txtContacts: 'Contacts',

	pholderGiven: 'FirstName',
	pholderFamily: 'LastName',
	pholderMiddle: 'MiddleName',
	pholderPrefix: 'Prefix',
	pholderSuffix: 'Suffix',

	txtAddressCountryAF: 'Afghanistan',
	txtAddressCountryAL: 'Albania',
	txtAddressCountryDZ: 'Algeria',
	txtAddressCountryAD: 'Andorra',
	txtAddressCountryAO: 'Angola',
	txtAddressCountryAG: 'Antigua and Barbuda',
	txtAddressCountryAR: 'Argentina',
	txtAddressCountryAM: 'Armenia',
	txtAddressCountryAU: 'Australia',
	txtAddressCountryAT: 'Austria',
	txtAddressCountryAZ: 'Azerbaijan',
	txtAddressCountryBS: 'The Bahamas',
	txtAddressCountryBH: 'Bahrain',
	txtAddressCountryBD: 'Bangladesh',
	txtAddressCountryBB: 'Barbados',
	txtAddressCountryBY: 'Belarus',
	txtAddressCountryBE: 'Belgium',
	txtAddressCountryBZ: 'Belize',
	txtAddressCountryBJ: 'Benin',
	txtAddressCountryBM: 'Bermuda',
	txtAddressCountryBT: 'Bhutan',
	txtAddressCountryBO: 'Bolivia',
	txtAddressCountryBA: 'Bosnia and Herzegovina',
	txtAddressCountryBW: 'Botswana',
	txtAddressCountryBR: 'Brazil',
	txtAddressCountryBN: 'Brunei Darussalam',
	txtAddressCountryBG: 'Bulgaria',
	txtAddressCountryBF: 'Burkina Faso',
	txtAddressCountryBI: 'Burundi',
	txtAddressCountryKH: 'Cambodia',
	txtAddressCountryCM: 'Cameroon',
	txtAddressCountryCA: 'Canada',
	txtAddressCountryCV: 'Cape Verde',
	txtAddressCountryKY: 'Cayman Islands',
	txtAddressCountryCF: 'Central African Republic',
	txtAddressCountryTD: 'Chad',
	txtAddressCountryCL: 'Chile',
	txtAddressCountryCN: 'China',
	txtAddressCountryCO: 'Colombia',
	txtAddressCountryKM: 'Comoros',
	txtAddressCountryCD: 'Democratic Republic of the Congo',
	txtAddressCountryCG: 'Republic of the Congo',
	txtAddressCountryCR: 'Costa Rica',
	txtAddressCountryCI: 'Côte d’Ivoire',
	txtAddressCountryHR: 'Croatia',
	txtAddressCountryCU: 'Cuba',
	txtAddressCountryCY: 'Cyprus',
	txtAddressCountryCZ: 'Czech Republic',
	txtAddressCountryDK: 'Denmark',
	txtAddressCountryDJ: 'Djibouti',
	txtAddressCountryDM: 'Dominica',
	txtAddressCountryDO: 'Dominican Republic',
	txtAddressCountryEC: 'Ecuador',
	txtAddressCountryEG: 'Egypt',
	txtAddressCountrySV: 'El Salvador',
	txtAddressCountryGQ: 'Equatorial Guinea',
	txtAddressCountryER: 'Eritrea',
	txtAddressCountryEE: 'Estonia',
	txtAddressCountryET: 'Ethiopia',
	txtAddressCountryFK: 'Falkland Islands',
	txtAddressCountryFO: 'Faroe Islands',
	txtAddressCountryFJ: 'Fiji',
	txtAddressCountryFI: 'Finland',
	txtAddressCountryFR: 'France',
	txtAddressCountryPF: 'French Polynesia',
	txtAddressCountryGA: 'Gabon',
	txtAddressCountryGM: 'The Gambia',
	txtAddressCountryGE: 'Georgia',
	txtAddressCountryDE: 'Germany',
	txtAddressCountryGH: 'Ghana',
	txtAddressCountryGR: 'Greece',
	txtAddressCountryGL: 'Greenland',
	txtAddressCountryGD: 'Grenada',
	txtAddressCountryGP: 'Guadeloupe',
	txtAddressCountryGT: 'Guatemala',
	txtAddressCountryGN: 'Guinea',
	txtAddressCountryGW: 'Guinea-Bissau',
	txtAddressCountryGY: 'Guyana',
	txtAddressCountryHT: 'Haiti',
	txtAddressCountryHN: 'Honduras',
	txtAddressCountryHK: 'Hong Kong',
	txtAddressCountryHU: 'Hungary',
	txtAddressCountryIS: 'Iceland',
	txtAddressCountryIN: 'India',
	txtAddressCountryID: 'Indonesia',
	txtAddressCountryIR: 'Iran',
	txtAddressCountryIQ: 'Iraq',
	txtAddressCountryIE: 'Ireland',
	txtAddressCountryIM: 'Isle of Man',
	txtAddressCountryIL: 'Israel',
	txtAddressCountryIT: 'Italy',
	txtAddressCountryJM: 'Jamaica',
	txtAddressCountryJP: 'Japan',
	txtAddressCountryJO: 'Jordan',
	txtAddressCountryKZ: 'Kazakhstan',
	txtAddressCountryKE: 'Kenya',
	txtAddressCountryKI: 'Kiribati',
	txtAddressCountryKP: 'North Korea',
	txtAddressCountryKR: 'South Korea',
	txtAddressCountryKW: 'Kuwait',
	txtAddressCountryKG: 'Kyrgyzstan',
	txtAddressCountryLA: 'Laos',
	txtAddressCountryLV: 'Latvia',
	txtAddressCountryLB: 'Lebanon',
	txtAddressCountryLS: 'Lesotho',
	txtAddressCountryLR: 'Liberia',
	txtAddressCountryLY: 'Libya',
	txtAddressCountryLI: 'Liechtenstein',
	txtAddressCountryLT: 'Lithuania',
	txtAddressCountryLU: 'Luxembourg',
	txtAddressCountryMO: 'Macau',
	txtAddressCountryMK: 'Macedonia',
	txtAddressCountryMG: 'Madagascar',
	txtAddressCountryMW: 'Malawi',
	txtAddressCountryMY: 'Malaysia',
	txtAddressCountryMV: 'Maldives',
	txtAddressCountryML: 'Mali',
	txtAddressCountryMT: 'Malta',
	txtAddressCountryMH: 'Marshall Islands',
	txtAddressCountryMQ: 'Martinique',
	txtAddressCountryMR: 'Mauritania',
	txtAddressCountryMU: 'Mauritius',
	txtAddressCountryMX: 'Mexico',
	txtAddressCountryFM: 'Micronesia',
	txtAddressCountryMD: 'Moldova',
	txtAddressCountryMC: 'Monaco',
	txtAddressCountryMN: 'Mongolia',
	txtAddressCountryME: 'Montenegro',
	txtAddressCountryMA: 'Morocco',
	txtAddressCountryMZ: 'Mozambique',
	txtAddressCountryMM: 'Myanmar',
	txtAddressCountryNA: 'Namibia',
	txtAddressCountryNR: 'Nauru',
	txtAddressCountryNP: 'Nepal',
	txtAddressCountryNL: 'Netherlands',
	txtAddressCountryNC: 'New Caledonia',
	txtAddressCountryNZ: 'New Zealand',
	txtAddressCountryNI: 'Nicaragua',
	txtAddressCountryNE: 'Niger',
	txtAddressCountryNG: 'Nigeria',
	txtAddressCountryNO: 'Norway',
	txtAddressCountryOM: 'Oman',
	txtAddressCountryPK: 'Pakistan',
	txtAddressCountryPW: 'Palau',
	txtAddressCountryPS: 'Palestinian Territories',
	txtAddressCountryPA: 'Panama',
	txtAddressCountryPG: 'Papua New Guinea',
	txtAddressCountryPY: 'Paraguay',
	txtAddressCountryPE: 'Peru',
	txtAddressCountryPH: 'Philippines',
	txtAddressCountryPL: 'Poland',
	txtAddressCountryPT: 'Portugal',
	txtAddressCountryPR: 'Puerto Rico',
	txtAddressCountryQA: 'Qatar',
	txtAddressCountryRE: 'Réunion',
	txtAddressCountryRO: 'Romania',
	txtAddressCountryRU: 'Russia',
	txtAddressCountryRW: 'Rwanda',
	txtAddressCountryBL: 'Saint Barthélemy',
	txtAddressCountrySH: 'Saint Helena',
	txtAddressCountryKN: 'Saint Kitts and Nevis',
	txtAddressCountryLC: 'Saint Lucia',
	txtAddressCountryMF: 'Saint Martin',
	txtAddressCountryVC: 'Saint Vincent and the Grenadines',
	txtAddressCountryWS: 'Samoa',
	txtAddressCountrySM: 'San Marino',
	txtAddressCountryST: 'Sao Tome and Principe',
	txtAddressCountrySA: 'Saudi Arabia',
	txtAddressCountrySN: 'Senegal',
	txtAddressCountryRS: 'Serbia',
	txtAddressCountrySC: 'Seychelles',
	txtAddressCountrySL: 'Sierra Leone',
	txtAddressCountrySG: 'Singapore',
	txtAddressCountrySK: 'Slovak Republic',
	txtAddressCountrySI: 'Slovenia',
	txtAddressCountrySB: 'Solomon Islands',
	txtAddressCountrySO: 'Somalia',
	txtAddressCountryZA: 'South Africa',
	txtAddressCountryGS: 'South Georgia and South Sandwich Islands',
	txtAddressCountryES: 'Spain',
	txtAddressCountryLK: 'Sri Lanka',
	txtAddressCountrySD: 'Sudan',
	txtAddressCountrySR: 'Suriname',
	txtAddressCountrySZ: 'Swaziland',
	txtAddressCountrySE: 'Sweden',
	txtAddressCountryCH: 'Switzerland',
	txtAddressCountrySY: 'Syria',
	txtAddressCountryTW: 'Taiwan',
	txtAddressCountryTJ: 'Tajikistan',
	txtAddressCountryTZ: 'Tanzania',
	txtAddressCountryTH: 'Thailand',
	txtAddressCountryTL: 'Timor-Leste',
	txtAddressCountryTG: 'Togo',
	txtAddressCountryTO: 'Tonga',
	txtAddressCountryTT: 'Trinidad and Tobago',
	txtAddressCountryTN: 'Tunisia',
	txtAddressCountryTR: 'Turkey',
	txtAddressCountryTM: 'Turkmenistan',
	txtAddressCountryTV: 'Tuvalu',
	txtAddressCountryVI: 'U.S. Virgin Islands',
	txtAddressCountryUG: 'Uganda',
	txtAddressCountryUA: 'Ukraine',
	txtAddressCountryAE: 'United Arab Emirates',
	txtAddressCountryGB: 'United Kingdom',
	txtAddressCountryUS: 'United States',
	txtAddressCountryUY: 'Uruguay',
	txtAddressCountryUZ: 'Uzbekistan',
	txtAddressCountryVU: 'Vanuatu',
	txtAddressCountryVA: 'Vatican',
	txtAddressCountryVE: 'Venezuela',
	txtAddressCountryVN: 'Vietnam',
	txtAddressCountryYE: 'Yemen',
	txtAddressCountryZM: 'Zambia',
	txtAddressCountryZW: 'Zimbabwe'
};
localizationSharedCardDAV['en_BS']=localizationSharedCardDAV['en_US'];

$.extend(true, localization, localizationSharedCardDAV);
var localizationCalDAV = new Object();
localizationCalDAV['en_US']=	/* Jan Mate <jan.mate@inf-it.com> */
{
	_default_title_format_month_: 'yyyy MMM',
	_default_title_format_week_: 'yyyy MMM d{ \'–\'[ yyyy][ MMM] d}',
	_default_title_format_day_: 'yyyy MMM d, ddd',
	_default_title_format_table_: 'yyyy MMM, ddd',
	_default_column_format_agenda_: 'ddd, MMM d',

	txtCalendar: 'Calendar',
	txtEnabledCalendars: 'Enabled Calendars',
	txtTodo: 'Todo',
	txtTodoList: 'Todo List',
	txtTodoLists: 'Todo Lists',
	txtEnabledTodoLists: 'Enabled Todo Lists',
	txtSubscribed: 'Subscriptions',
	fullCalendarTable: 'table',
	fullCalendarTodayButton: 'today',
	fullCalendarAllDay: 'all day',
	CalDAVsearch: 'Search',
	resourceEnable: 'Enable all calendars in this resource',
	resourceDisable: 'Disable all calendars in this resource',
	allEnable: 'Enable all calendars',
	allDisable: 'Disable all calendars',
	timezone: 'Timezone',
	txtTimezonePicker: 'Timezone:',
	loadingRList: 'Loading resource list ...',
	renderingE: 'Rendering calendars ...',
	timezoneChange: 'Applying timezone change ...',
	customTimezone: 'Custom (Local Time)',
	customRepeat: 'Other (modification not supported)',
	loadPrevMonth: 'Load previous month',
	loadNextMonth: 'Load next month',
	repeatBoxButton: 'Recurrence',
	repeatBoxContent: 'is a repeating event.',
	repeatBoxQuestion: 'Which events would you like to work with?',
	allEvsButton: 'All events',
	allFutureButton: 'This and all future events',
	eventOnlyButton: 'This event only',
	repeatBoxContentTODO: 'is a repeating todo.',
	repeatBoxQuestionTODO: 'Which todos would you like to work with?',
	allEvsButtonTODO: 'All todos',
	allFutureButtonTODO: 'This and all future todos',
	eventOnlyButtonTODO: 'This todo only',
	txtStatus: 'Status',
	eventAvailability : 'Availability',
	eventAvailabilityBusy : 'Busy',
	eventAvailabilityFree : 'Free',
	eventType: 'Privacy',
	eventTypePublic: 'Public',
	eventTypePrivate: 'Private',
	eventTypeConfidential: 'Confidential',
	txtPriority: 'Priority',
	txtPriorityNone: 'None',
	txtPriorityLow: 'Low',
	txtPriorityMedium: 'Medium',
	txtPriorityHigh: 'High',
	eventURL : 'URL',
	repeatInterval: 'every',
	repeatDays: 'days',
	repeatWeeks: 'weeks',
	repeatMonths: 'months',
	repeatYears: 'years',
	repeatChangeTxt: 'was changed on the server!',
	repeatChangeTxtClose: 'Close the form and open the event again',
	repeatTodoChangeTxtClose: 'Close the form and open the todo again',
	calendarLoader: 'Reloading ...',
	resizeLoader: 'Resizing ...',

	// TODOS
	pholderNameTODO: 'Name',
	pholderNewTODO: 'New Todo',
	txtTypeTODO: 'Type',
	txtTypeTODONone: 'Simple',
	txtTypeTODOStart: 'With start time',
	txtTypeTODODue: 'With due time',
	txtTypeTODOBoth: 'With both start and due times',
	txtDateFromTODO: 'From',
	txtDateToTODO: 'To',
	txtCompletedOn: 'Completed on',

	pholderDateFromTODO: 'Date from',
	pholderTimeFromTODO: 'Time from',
	pholderDateToTODO: 'Date to',
	pholderTimeToTODO: 'Time to',
	pholderCompletedOnDate: 'Date',
	pholderCompletedOnTime: 'Time',

	txtStatusFiltersHeaderTODO: 'Filters',
	txtStatusFiltersFooterTODO: '* completed at or after %date%',
	txtStatusNeedsActionTODO: 'Needs action',
	txtStatusCompletedTODO: 'Completed',
	txtStatusInProcessTODO: 'In progress',
	txtStatusCancelledTODO: 'Canceled',
	txtPercentCompletedTODO: 'Completed',

	txtCalendarTODO: 'Calendar',
	txtSelectCalendarTODO: 'Select a calendar',
	txtAlertTODO: 'Alert',
	txtAlertNoneTODO: 'None',
	txtAlertMessageTODO: 'Message',
	txtAlertOnDateTODO: 'On date',
	txtAlertWeeksBeforeTODO: 'Weeks before',
	txtAlertDaysBeforeTODO: 'Days before',
	txtAlertHoursBeforeTODO: 'Hours before',
	txtAlertMinutesBeforeTODO: 'Minutes before',
	txtAlertSecondsBeforeTODO: 'Seconds before',
	txtAlertWeeksAfterTODO: 'Weeks after',
	txtAlertDaysAfterTODO: 'Days after',
	txtAlertHoursAfterTODO: 'Hours after',
	txtAlertMinutesAfterTODO: 'Minutes after',
	txtAlertSecondsAfterTODO: 'Seconds after',

	pholderAfterBeforeValTODO: 'Value',
	pholderAlarmDateTODO: 'Alarm date',
	pholderAlarmTimeTODO: 'Alarm time',

	pholderNoteTODO: 'Note',
	txtNoteTODO: 'Note',

	todoPrevNav: 'Show previous instance',
	todoNextNav: 'Show next instance',
	todoUncompletedPrevNav: 'Show previous uncompleted instance',
	todoUncompletedNextNav: 'Show next uncompleted instance',

	buttonSaveTODO: 'Save',
	buttonEditTODO: 'Edit',
	buttonDuplicateTODO: 'Duplicate',
	buttonResetTODO: 'Revert',
	buttonCloseTODO: 'Close',
	buttonDeleteTODO: 'Delete',

	// EVENTS
	pholderName: 'Name',
	pholderNewEvent: 'New Event',
	txtLocation: 'Location',
	pholderLocation: 'Location',

	txtAllDay: 'All day',
	from: 'From',
	to: 'To',

	pholderDateFrom: 'Date from',
	pholderTimeFrom: 'Time from',
	pholderDateTo: 'Date to',
	pholderTimeTo: 'Time to',

	txtStatusNone: 'Unspecified',
	txtStatusTentative: 'Tentative',
	txtStatusConfirmed: 'Confirmed',
	txtStatusCancelled: 'Cancelled',

	txtRepeat: 'Repeat',
	txtNoRepeat: 'No repeat',
	txtRepeatDay: 'Daily',
	txtRepeatWeek: 'Weekly',
	txtRepeatWeekend: 'Every weekend',
	txtRepeatMonth: 'Monthly',
	txtRepeatTwoWeek: 'Bi-weekly',
	txtRepeatYear: 'Yearly',
	txtRepeatCustomWeek: 'Custom weekly',
	txtRepeatCustomMonth: 'Custom monthly',
	txtRepeatCustomYear: 'Custom yearly',
	txtRepeatWork: 'Every business day',
	txtRepeatOnDate: 'On date',
	txtRepeatAfter: 'Occurrences',
	txtRepeatNever: 'Never',
	pholderUntilDate: 'Date until',
	pholderRepeatCount: 'Repeat count',
	txtRepeatCustomWeekLabel: 'on',
	txtRepeatCustomMonthLabel: 'on days',
	txtRepeatCustomMonthEvery: 'Every',
	txtRepeatCustomMonthFirst: 'First',
	txtRepeatCustomMonthSecond: 'Second',
	txtRepeatCustomMonthThird: 'Third',
	txtRepeatCustomMonthFourth: 'Fourth',
	txtRepeatCustomMonthFifth: 'Fifth',
	txtRepeatCustomMonthLast: 'Last',
	txtRepeatCustomMonthCustom: 'Custom',
	txtRepeatCustomMonthMonth: 'Day of the month',
	txtRepeatCustomYearLabel1: 'every',
	txtRepeatCustomYearLabel2: 'of',

	txtRepeatEnd: 'end',
	txtEventCalendar: 'Calendar',
	txtSelectCalendar: 'Select a calendar',
	txtAlert: 'Alert',
	txtAlertNone: 'None',
	txtAlertMessage: 'Message',
	txtAlertOnDate: 'On date',
	txtAlertWeeksBefore: 'Weeks before',
	txtAlertDaysBefore: 'Days before',
	txtAlertHoursBefore: 'Hours before',
	txtAlertMinutesBefore: 'Minutes before',
	txtAlertSecondsBefore: 'Seconds before',
	txtAlertWeeksAfter: 'Weeks after',
	txtAlertDaysAfter: 'Days after',
	txtAlertHoursAfter: 'Hours after',
	txtAlertMinutesAfter: 'Minutes after',
	txtAlertSecondsAfter: 'Seconds after',

	pholderAfterBeforeVal: 'Value',
	pholderAlarmDate: 'Alarm date',
	pholderAlarmTime: 'Alarm time',

	pholderNote: 'Note',

	eventPrevNav: 'Show previous instance',
	eventNextNav: 'Show next instance',

	buttonClose: 'Close',
	buttonDuplicate: 'Duplicate',

	txtAllSavedTodo: 'Success: Todo Saved!',
	txtAllSaved: 'Success: Event Saved!',

	txtAllDeletedTodo: 'Success: Todo Deleted!',
	txtAllDeleted: 'Success: Event Deleted!',

	txtNotChooseTodo: 'Error: Have to choose calendar!',
	txtNotChoose: 'Error: Have to choose calendar!',

	txtErrorDates: 'Error: Start date must precede the end date!',
	txtErrorDatesTodo: 'Error: Start date must precede the end date!',

	txtErorInputTodo: 'Unable to save: correct invalid values!',
	txtDateTimeErrorTodo: 'Have to choose date and time!',

	txtErorInput: 'Error: \'unable to save\': correct the highlighted invalid values!',

	txtAlertsH: 'Alerts',
	buttonAlert: 'Clear Alerts',

	altAddEvent: 'Add Event',
	altAddTodo: 'Add Todo',

	loadingCalendars: 'Loading calendars (%act% of %total%) ...',
	unloadingCalendars: 'Unloading calendars ...',

	errUnableSaveBeginCalDAV: 'Error: \'unable to save the event\': %%!',
	errUnableDeleteBeginCalDAV: 'Error: \'unable to delete the event\': %%!',
	CalDAVerrHttp410: 'Event is no longer available at the server',
	errUnableSaveTodoBeginCalDAV: 'Error: \'unable to save the todo\': %%!',
	errUnableDeleteTodoBeginCalDAV: 'Error: \'unable to delete todo\': %%!',
	CalDAVerrTodoHttp410: 'Todo is no longer available at the server'
};
localizationCalDAV['en_BS']=localizationCalDAV['en_US'];

$.extend(true, localization, localizationCalDAV);
var localizationCardDAV = new Object();
localizationCardDAV['en_US']=	/* Jan Mate <jan.mate@inf-it.com> */
{
	/* index.html */
	altAddContact: 'Add Contact',
	altPhoto: 'Photo',
	txtAddressbook: 'Addressbook',
	txtAddressbooks: 'Addressbooks',
	txtVcardGroupsTextSingle: '%coll% [+ 1 group]',
	txtVcardGroupsTextMulti: '%coll% [+ %n% groups]',
	txtEnabledAddressbooks: 'Enabled Addressbooks',
	txtCompanies: 'Companies',
	txtContact: 'Contact',
	pholderNickname: 'NickName',
	pholderPhGiven: 'PhoneticFirstName',
	pholderPhFamily: 'PhoneticLastName',
	pholderBday: 'BirthDay',
	pholderDate: 'Date',
	pholderTitle: 'JobTitle',
	pholderOrg: 'Company',
	pholderDepartment: 'Department',
	txtCompanyContact: 'Company Contact',
	txtRemoteImage: 'Remote Image URL',
	txtName: 'Name',

	altDel: '-',
	altAdd: '+',
	altValueHandler: '>',	/* opening URL, calling phone number, ... */

	txtCustom: '» custom',
	pholderCustomVal: 'custom',

	txtDates: 'Dates',
	txtDatesAnniversary: 'Anniversary',
	txtDatesOther: 'other',

	txtPhone: 'Phone',
	txtPhoneWork: 'work',
	txtPhoneHome: 'home',
	txtPhoneCell: 'mobile',
	txtPhoneCellWork: 'work mobile',
	txtPhoneCellHome: 'home mobile',
	txtPhoneMain: 'main',
	txtPhonePager: 'pager',
	txtPhoneFax: 'fax',
	txtPhoneFaxWork: 'work fax',
	txtPhoneFaxHome: 'home fax',
	txtPhoneIphone: 'iPhone',
	txtPhoneOther: 'other',
	pholderPhoneVal: 'Phone',

	txtEmail: 'Email',
	txtEmailWork: 'work',
	txtEmailHome: 'home',
	txtEmailMobileme: 'mobileMe',
	txtEmailOther: 'other',
	pholderEmailVal: 'Email',

	txtUrl: 'URL',
	txtUrlWork: 'work',
	txtUrlHome: 'home',
	txtUrlHomepage: 'homePage',
	txtUrlOther: 'other',
	pholderUrlVal: 'URL',

	txtRelated: 'Related',
	txtRelatedFather: 'father',
	txtRelatedMother: 'mother',
	txtRelatedParent: 'parent',
	txtRelatedBrother: 'brother',
	txtRelatedSister: 'sister',
	txtRelatedChild: 'child',
	txtRelatedFriend: 'friend',
	txtRelatedSpouse: 'spouse',
	txtRelatedPartner: 'partner',
	txtRelatedAssistant: 'assistant',
	txtRelatedManager: 'manager',
	txtRelatedOther: 'other',
	pholderRelatedVal: 'Name',

	txtIm: 'IM',
	txtImWork: 'work',
	txtImHome: 'home',
	txtImMobileme: 'mobileMe',
	txtImOther: 'other',
	txtImProtAim: 'AIM',
	txtImProtIcq: 'ICQ',
	txtImProtIrc: 'IRC',
	txtImProtJabber: 'Jabber',
	txtImProtMsn: 'MSN',
	txtImProtYahoo: 'Yahoo',
	txtImProtFacebook: 'Facebook',
	txtImProtGadugadu: 'GaduGadu',
	txtImProtGoogletalk: 'GoogleTalk',
	txtImProtQq: 'QQ',
	txtImProtSkype: 'Skype',
	pholderImVal: 'UserID',

	txtProfile: 'Profile',
	txtProfileTwitter: 'twitter',
	txtProfileFacebook: 'facebook',
	txtProfileFlickr: 'flickr',
	txtProfileLinkedin: 'linkedin',
	txtProfileMyspace: 'myspace',
	txtProfileSinaweibo: 'sina weibo',
	pholderProfileVal: 'UserName',

	txtAddress: 'Address',
	txtAddressWork: 'work',
	txtAddressHome: 'home',
	txtAddressOther: 'other',
	// address fields are handled specially

	txtCategories: 'Categories',
	// categories' values are handled specially

	pholderNoteVal: 'NoteText',

	buttonDeleteFromGroup: 'Delete from Group',

	/* common.js - address field names */
	pholderAddressCity: 'City',
	pholderAddressCityRegion: 'City/Region',
	pholderAddressCounty: 'County',
	pholderAddressCountyCity: 'County/City',
	pholderAddressDepartment: 'Department',
	pholderAddressDistrict: 'District',
	pholderAddressDistrictSubdivision: 'District/Subdivision',
	pholderAddressFurtherDivisions: 'Further Divisions',
	pholderAddressGovernorate: 'Governorate',
	pholderAddressIslandName: 'Island Name',
	pholderAddressPinCode: 'PIN Code',
	pholderAddressPostCode: 'Post Code',
	pholderAddressPostal: 'Postal',
	pholderAddressPostalCode: 'Postal Code',
	pholderAddressPostalDistrict: 'Postal District',
	pholderAddressPrefecture: 'Prefecture',
	pholderAddressProvince: 'Province',
	pholderAddressRegion: 'Region',
	pholderAddressState: 'State',
	pholderAddressStreet: 'Street',
	pholderAddressSuburb: 'Suburb',
	pholderAddressTownshipDistrict: 'Township/District',
	pholderAddressZip: 'ZIP',

	/* data_process.js */
	addCategory: 'AddCategory',

	/* addressbook.js */
	contactConcurrentChange: 'The contact on the server was changed and reloaded!',
	contactRfcNotCompliant: 'Error: this contact (vCard) is not compliant with RFC 2426!',

	/* interface.js */
	loadingAddressbooks: 'Loading addressbooks (%act% of %total%) ...',
	unloadingAddressbooks: 'Unloading addressbooks ...',

	/* webdav_protocol.js */
	succContactSaved: 'Contact successfully saved!',
	succContactDeleted: 'Contact successfully deleted!',
	succContactDeletedFromGroup: 'Contact successfully deleted from the active contact group!',
	errUnableLockBegin: 'Error: \'unable to lock resource\': %%!',
	errUnableUnlockBegin: 'Error: \'unable to unlock resource\': %%!',
	errUnableSaveBegin: 'Error: \'unable to save the contact\': %%!',
	errUnableSaveInvalidData: 'Error: \'unable to save\': correct the highlighted invalid values!',
	errUnableDeleteBegin: 'Error: \'unable to delete the contact\': %%!',
	errResourceLocked: 'resource already locked',
	errHttp410: 'contact is no longer available at the server',
	errContactHidden: 'Note: this contact is currently not visible in contact list!'
};
localizationCardDAV['en_BS']=localizationCardDAV['en_US'];
$.extend(true, localization, localizationCardDAV);
